#ifndef COLON_YEN_H
#define COLON_YEN_H

#pragma warn -8012
#pragma warn -8057

#define A_SIZE 30
#define B_SIZE 4224
#define C_SIZE 256
#define P_SIZE 128
#define S_SIZE 43
#include <fstream>
#include <sstream>
#include <string>
#include <windows.h>
#include <stdlib>
#include "ColonYenID.h"
#include "DivideSJIS.h"
#include "EndCMD.h"
#include "FieldsArray.h"
#include "FinalEffect.h"
#include "Guide.h"
#include "HyphenTerm.h"
#include "ModeBatch.h"
#include "Numbered.h"
#include "parameters.h"
#include "PutFiles.h"

bool centeringSmallConsole(int hidden);
bool movingInside(HWND hwnd, bool showWhere);
bool startDepressed();
bool startHandler();
LRESULT CALLBACK WindowFunc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
VOID CALLBACK showWhereCursor(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
VOID CALLBACK terminateHandler(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
VOID CALLBACK TimerProc(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
void centering(HWND hwnd);
void closing(bool task_completed);
void cornerHandler(HWND hwnd);
void createDoubleClickText();
void diagonalHandler(HWND hwnd);
void guide(bool comment);
void layout();
void helpHandler(WPARAM wParam);
void rightHandler(HWND hwnd);
void executeProgram(const char *p, const char *q);
void executeProgram(std::string & e, std::string & o);
void underHandler(HWND hwnd);

#endif // COLON_YEN_H
