#include "EndCMD.h"

namespace {
    const int NOT_FOUND = -1;
    const std::string CMD_EXE = "cmd.exe";
    const std::string CMD_PID_1_TEXT = "C:\\ColonYen\\CMD_PID1.txt";
    const std::string CMD_PID_2_TEXT = "C:\\ColonYen\\CMD_PID2.txt";
    const std::string EMPTY = "";
    const std::string GAP = " ";
}

int TerminateCMD::sequence_to_integer(std::string & s) {
    using namespace std;

    int k;
    stringstream ss(s);
    ss >> k;
    return k;
}

int TerminateCMD::terminating(int *first_list_of_IDs, int *second_list_of_IDs) {
    using namespace std;

    int f, s;

    id = NOT_FOUND;
    for(int i = 0; i < A_SIZE; ++i) {
        f = first_list_of_IDs[i];

        for(int k = 0; k < A_SIZE; ++k) {
            s = second_list_of_IDs[k];
            if( f == s ) {
                id = s;
                return id;
            }

        }

    }

    return id;
}

std::string TerminateCMD::preparingList_1() {
    std::string operand = EMPTY;

    return operand;
}

TerminateCMD::~TerminateCMD() {
}

TerminateCMD::TerminateCMD() {
}

void TerminateCMD::programID_1(int *a) {
    using namespace std;

    char c[C_SIZE];
    int k = 0;
    int q;
    string *p = new string("");
    string command_name = CMD_EXE;
    int command_name_size = command_name.length();
    string file_name = CMD_PID_1_TEXT;
    string s, part, tail;

    try {
        ifstream textFile( file_name.c_str() );
        textFile.exceptions(ios_base::failbit);

        while( textFile.getline(c, C_SIZE) ) {
            delete p;
            p = new string(c);

            q = p->find(command_name);
            if( q >= 0 ) {
                q += command_name_size;

                for(;;) {
                    s = p->substr(q, 1);
                    if( s == GAP ) {
                        ++q;
                        continue;
                    } else {
                        break;
                    }

                }

                tail = p->substr(q);
                q = tail.find(GAP);
                if( q >= 0 ) {
                    part = tail.substr(0, q);
                } else {
                    part = tail;
                }

                a[k++] = sequence_to_integer(part);
                if( k >= A_SIZE ) {
                    break;
                }

            } else {
                char x[7] = "error-2";
                ofstream errorFile("error.txt"); errorFile << "find(command_name) " << x << endl;
                exit(x[6]);
            }

        }

    } catch(...) {
        ;
    }

    delete p;
}

void TerminateCMD::programID_2(int *a) {
    using namespace std;

    char c[C_SIZE];
    int k = 0;
    int q;
    string *p = new string("");
    string command_name = CMD_EXE;
    int command_name_size = command_name.length();
    string file_name = CMD_PID_2_TEXT;
    string s, part, tail;

    try {
        ifstream textFile( file_name.c_str() );
        textFile.exceptions(ios_base::failbit);

        while( textFile.getline(c, C_SIZE) ) {
            delete p;
            p = new string(c);

            q = p->find(command_name);
            if( q >= 0 ) {
                q += command_name_size;

                for(;;) {
                    s = p->substr(q, 1);
                    if( s == GAP ) {
                        ++q;
                        continue;
                    } else {
                        break;
                    }

                }

                tail = p->substr(q);
                q = tail.find(GAP);
                if( q >= 0 ) {
                    part = tail.substr(0, q);
                } else {
                    part = tail;
                }

                a[k++] = sequence_to_integer(part);
                if( k >= A_SIZE ) {
                    break;
                }

            } else {
                char x[7] = "error-3";
                ofstream errorFile("error.txt"); errorFile << "find(command_name) " << x << endl;
                exit(x[6]);
            }

        }

    } catch(...) {
        ;
    }

	delete p;
}

