#include "FieldsArray.h"

namespace {
    const int UPPER_LIMIT_TO_FIELD_NUMBER = 3071; // F_SIZE - 1
    const std::string EMPTY = "";
}

int FieldsList::itemCount() const {
    return count;
}

std::string FieldsList::item(int i) {
    using namespace std;

    string s = EMPTY;

    if( i < 0 ) {
        char x[7] = "error-4";
        ofstream errorFile("error.txt"); errorFile << "item() " << x << endl;
        exit(x[6]);
    } else if( i >= UPPER_LIMIT_TO_FIELD_NUMBER ) {
        char x[7] = "error-5";
        ofstream errorFile("error.txt"); errorFile << "item() " << x << endl;
        exit(x[6]);
    } else {
        s = fields_list[i];
    }

    return s;
}

FieldsList::~FieldsList() {
}

FieldsList::FieldsList() {
    count = 0;

    for(int i = 0; i <= UPPER_LIMIT_TO_FIELD_NUMBER; ++i) {
        fields_list[i] = EMPTY;
    }

}

void FieldsList::setting(std::string & s, int i) {
    using namespace std;

    if( i < 0 ) {
        char x[7] = "error-6";
        ofstream errorFile("error.txt"); errorFile << "setting() " << x << endl;
        exit(x[6]);
    } else if( i > UPPER_LIMIT_TO_FIELD_NUMBER ) {
        char x[7] = "error-7";
        ofstream errorFile("error.txt"); errorFile << "setting() " << x << endl;
        exit(x[6]);
    } else {
        fields_list[i] = s;
        count += 1;
    }

}

