#include "Guide.h"

namespace {
    char VERSION_TEXT[] = "version.txt";
    const std::string QUOTE = "\"";
}

Guiding::~Guiding() {
}

Guiding::Guiding() {
}

void Guiding::versionGuide(double d, bool comments) {
    using namespace std;

    stringstream os;
    os << d;

    version_sequence = os.str();
    version_value = d;
    versionGuide(version_sequence, comments);
}

void Guiding::versionGuide(std::string & v, bool comments) {
    using namespace std;

    ofstream file(VERSION_TEXT);
    stringstream ss;
    ss >> version_value;

    version_sequence = v;

    file << "ColonYen Version " << v << "\n" << endl;

    if( comments ) {
        file << "colonyen             # Decide according to ColonYen.txt " << endl 
            << "colonyen -b25        # 25 lines and a scroll bar " << endl 
            << "colonyen -B300       # Use a buffer of 300 lines. " << endl 
            << "colonyen -c2 -w      # -w shows where the cursor is. " << endl 
            << "colonyen -c2         # -c2 moves the ColonYen window to Corner-2. " << endl 
            << "colonyen -E          # Add " << v << " to the title bar. " << endl 
            << "colonyen -e25        # 25 lines " << endl 
            << "colonyen -G          # Guide " << endl 
            << "colonyen -H390       # 390 pixels in height " << endl 
            << "colonyen -k          # Close the Command Prompt window. " << endl 
            << "colonyen -n0         # Move the Command Prompt window to the front. " << endl 
            << "colonyen -o " << QUOTE << "/T:4F" << QUOTE << "  # red background and white characters" << endl 
            << "colonyen -p          # PDF help " << endl 
            << "colonyen -s-         # Do not start cmd.exe automatically. " << endl 
            << "colonyen -t5000      # The Command Prompt window shall appear 5 seconds later. " << endl 
            << "colonyen -V          # Version " << endl 
            << "colonyen -W580       # 580 pixels in width " << endl;
    } else {
        file << "colonyen --help      " << endl;
    }

}
