#ifndef NUMBERED_H
#define NUMBERED_H

#include <sstream>
#include <stdio>
#include <string>

class NumberedTerm {
    bool trimmed;
    char *p;
    char *pt;
    int final, length, non_number_length, span, trimmed_sequence_length;
    char *f;
    char *ft;
    char *s;
    char *st;

public:
    ~NumberedTerm();
    NumberedTerm(char *a);
    NumberedTerm(char *a, int final_1);
    NumberedTerm(std::string & argument);
    NumberedTerm(std::string & argument, int final_1);

    bool trimmedSequence();
    int number();
    int subnumber();
    std::string parameter();
};

#endif // NUMBERED_H
