#include "PutFIles.h"

namespace {
    char BATCH_1[] = "C:\\ColonYen\\CMD_PID1.bat";
    char BATCH_2[] = "C:\\ColonYen\\CMD_PID2.bat";
    char SETTING_TEXT[] = "C:\\ColonYen\\ColonYen.txt";
    char SLOW_TEXT[] = "C:\\ColonYen\\slow.txt";
    const char QUOTE_C = 34; // 22h, "
    const char TAB_C = 9; // 09h
    const char YEN_C = 92; // 5Ch
    const std::string Q("C:\\Q");
}

ProvideFiles::~ProvideFiles() {
}

ProvideFiles::ProvideFiles() {
    specified = Q;
    recovery = false;
}

ProvideFiles::ProvideFiles(char *p) {
    std::string s(p);

    specified = ( s.length() == 0 ) ? Q : s;
    recovery = false;
}

ProvideFiles::ProvideFiles(std::string & s) {
    specified = ( s.length() == 0 ) ? Q : s;
    recovery = false;
}

bool ProvideFiles::setting() {
    using namespace std;

    try {
        ifstream testFile(BATCH_1);
        testFile.exceptions(ios_base::failbit);
    } catch(...) {
        ofstream newFile(BATCH_1);
        newFile << "TASKLIST | FINDSTR " 
          << QUOTE_C << "cmd.exe" << QUOTE_C 
          << "> C:" << YEN_C << "ColonYen" << YEN_C << "CMD_PID1.txt" << endl;

        recovery = true;
    }

    try {
        ifstream testFile(BATCH_2);
        testFile.exceptions(ios_base::failbit);
    } catch(...) {
        ofstream newFile(BATCH_2);
        newFile << "TASKLIST | FINDSTR " 
          << QUOTE_C << "cmd.exe" << QUOTE_C 
          << "> C:" << YEN_C << "ColonYen" << YEN_C << "CMD_PID2.txt" << endl;

        recovery = true;
    }

    try {
        ifstream testFile(SETTING_TEXT);
        testFile.exceptions(ios_base::failbit);
    } catch(...) {
        ofstream newFile(SETTING_TEXT);
        newFile << specified << endl; // directory path
        newFile << "-n0" << endl;
        newFile << "-H492" << endl;
        newFile << "-W677" << endl;

        recovery = true;
    }

    try {
        ifstream testFile(SLOW_TEXT);
        testFile.exceptions(ios_base::failbit);
    } catch(...) {
        ofstream newFile(SLOW_TEXT);
        newFile << "2147483647" << TAB_C << "delay" << endl;
        newFile << "500" << TAB_C << "-w" << endl;
        newFile << "300" << TAB_C << "-k" << endl;
        newFile << "600" << TAB_C << "FindWindow()" << endl;

        recovery = true;
    }

    return recovery;
}

