#include "FinalEffect.h"

namespace {
    const std::string EMPTY("");
}

bool FinalEffects::killCMD() const {
    return kill_CMD;
}

bool FinalEffects::notAutomatically() const {
    return not_automatically;
}

bool FinalEffects::showWhere() const {
    return show_where;
}

bool FinalEffects::startHelp() const {
    return start_help;
}

bool FinalEffects::titleVersion() const {
    return title_version;
}

int FinalEffects::barEstimate() const {
    return bar_estimate;
}

int FinalEffects::bufferSize() const {
    return buffer_size;
}

int FinalEffects::consoleHeight() const {
    return console_height;
}

int FinalEffects::consoleWidth() const {
    return console_width;
}

int FinalEffects::edgeEstimate() const {
    return edge_estimate;
}

int FinalEffects::errorLevel() const {
    return error_level;
}

int FinalEffects::hiddenPane() const {
    return hidden_pane;
}

int FinalEffects::waitingTime() const {
    return waiting_time;
}

int FinalEffects::whichCorner() const {
    return which_corner;
}

FinalEffects::~FinalEffects() {
}

FinalEffects::FinalEffects() {
// std::string 
    exe_name = EMPTY;
    path_name = EMPTY;
    quoted_operand = EMPTY;

// int 
    bar_estimate = 0;
    buffer_size = 300;
    console_height = 492;
    console_width = 677;
    edge_estimate = 0;
    error_level = 0;
    hidden_pane = 0;
    which_corner = 3;
    waiting_time = 1000;

// bool 
    kill_CMD = false;
    not_automatically = false;
    show_where = false;
    start_help = false;
    title_version = false;
}

FinalEffects::FinalEffects(std::string en, std::string pn, std::string qo, 
    int be, int bs, int ch, int cw, int ee, int EL, int hp, int wc, int wt, 
    bool kc, bool na, bool sw, bool sh, bool tv) {
// std::string 
    exe_name = en;
    path_name = pn;
    quoted_operand = qo;

// int 
    bar_estimate = be;
    buffer_size = bs;
    console_height = ch;
    console_width = cw;
    edge_estimate = ee;
    error_level = EL;
    hidden_pane = hp;
    which_corner = wc;
    waiting_time = wt;

// bool 
    kill_CMD = kc;
    not_automatically = na;
    show_where = sw;
    start_help = sh;
    title_version = tv;
}

std::string FinalEffects::exeName() const {
    return exe_name;
}

std::string FinalEffects::pathName() const {
    return path_name;
}

std::string FinalEffects::quotedOperand() const {
    return quoted_operand;
}

