#ifndef FINAL_EFFECT_H
#define FINAL_EFFECT_H

#include <stdlib>
#include <string>

class FinalEffects {
    bool kill_CMD, not_automatically, show_where, start_help, title_version;
    int bar_estimate, buffer_size, console_height, console_width, edge_estimate, error_level, hidden_pane, which_corner, waiting_time;
    std::string exe_name, path_name, quoted_operand;

public:
    ~FinalEffects();
    FinalEffects();
    FinalEffects(std::string en, std::string pn, std::string qo, 
        int be, int bs, int ch, int cw, int ee, int EL, int hp, int wc, int wt, 
        bool kc, bool na, bool sw, bool sh, bool tv);

    bool killCMD() const;
    bool notAutomatically() const;
    bool showWhere() const;
    bool startHelp() const;
    bool titleVersion() const;
    int barEstimate() const;
    int bufferSize() const;
    int consoleHeight() const;
    int consoleWidth() const;
    int edgeEstimate() const;
    int errorLevel() const;
    int hiddenPane() const;
    int waitingTime() const;
    int whichCorner() const;
    std::string exeName() const;
    std::string pathName() const;
    std::string quotedOperand() const;
};

#endif // FINAL_EFFECT_H
