CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w -tW
LFLAGS = /Tpe /c /aa
RFLAGS = -32

TARGET = ColonYen.exe
OBJS   = dividesjis.obj endcmd.obj fieldsarray.obj finaleffect.obj guide.obj hyphenterm.obj modebatch.obj numbered.obj parameters.obj putfiles.obj ucombo.obj colonyen.obj 
RESFILES = colonyen.res

ALL : $(TARGET)

dividesjis.obj: DivideSJIS.cpp
	$(CC) $(INCLUDE) -c DivideSJIS.cpp
endcmd.obj: EndCMD.cpp
	$(CC) $(INCLUDE) -c EndCMD.cpp
fieldsarray.obj: FieldsArray.cpp
	$(CC) $(INCLUDE) -c FieldsArray.cpp
finaleffect.obj: FinalEffect.cpp
	$(CC) $(INCLUDE) -c FinalEffect.cpp
hyphenterm.obj: HyphenTerm.cpp
	$(CC) $(INCLUDE) -c HyphenTerm.cpp
guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
modebatch.obj: ModeBatch.cpp
	$(CC) $(INCLUDE) -c ModeBatch.cpp
numbered.obj: Numbered.cpp
	$(CC) $(INCLUDE) -c Numbered.cpp
parameters.obj: parameters.cpp
	$(CC) $(INCLUDE) -c parameters.cpp
putfiles.obj: PutFiles.cpp
	$(CC) $(INCLUDE) -c PutFiles.cpp
ucombo.obj: Ucombo.cpp
	$(CC) $(INCLUDE) -c Ucombo.cpp
colonyen.obj: ColonYen.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c ColonYen.cpp
colonyen.res: ColonYen.rc
	$(RC) $(RFLAGS) ColonYen.rc

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0w32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)

clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
